## ICalRecurrence

ICalRecurrence

## Functions

gboolean | i_cal_recurrence_rscale_is_supported ()
ICalArray * | i_cal_recurrence_rscale_supported_calendars ()
ICalRecurrence * | i_cal_recurrence_new ()
void | i_cal_recurrence_clear ()
ICalRecurrenceWeekday | i_cal_recurrence_day_day_of_week ()
gint | i_cal_recurrence_day_position ()
gboolean | i_cal_recurrence_month_is_leap ()
gint | i_cal_recurrence_month_month ()
ICalRecurrence * | i_cal_recurrence_new_from_string ()
gchar * | i_cal_recurrence_to_string ()
ICalTime * | i_cal_recurrence_get_until ()
void | i_cal_recurrence_set_until ()
ICalRecurrenceFrequency | i_cal_recurrence_get_freq ()
void | i_cal_recurrence_set_freq ()
gint | i_cal_recurrence_get_count ()
void | i_cal_recurrence_set_count ()
gshort | i_cal_recurrence_get_interval ()
void | i_cal_recurrence_set_interval ()
ICalRecurrenceWeekday | i_cal_recurrence_get_week_start ()
void | i_cal_recurrence_set_week_start ()
GArray * | i_cal_recurrence_get_by_second_array ()
void | i_cal_recurrence_set_by_second_array ()
gshort | i_cal_recurrence_get_by_second ()
void | i_cal_recurrence_set_by_second ()
GArray * | i_cal_recurrence_get_by_minute_array ()
void | i_cal_recurrence_set_by_minute_array ()
gshort | i_cal_recurrence_get_by_minute ()
void | i_cal_recurrence_set_by_minute ()
GArray * | i_cal_recurrence_get_by_hour_array ()
void | i_cal_recurrence_set_by_hour_array ()
gshort | i_cal_recurrence_get_by_hour ()
void | i_cal_recurrence_set_by_hour ()
GArray * | i_cal_recurrence_get_by_day_array ()
void | i_cal_recurrence_set_by_day_array ()
gshort | i_cal_recurrence_get_by_day ()
void | i_cal_recurrence_set_by_day ()
GArray * | i_cal_recurrence_get_by_month_day_array ()
void | i_cal_recurrence_set_by_month_day_array ()
gshort | i_cal_recurrence_get_by_month_day ()
void | i_cal_recurrence_set_by_month_day ()
GArray * | i_cal_recurrence_get_by_year_day_array ()
void | i_cal_recurrence_set_by_year_day_array ()
gshort | i_cal_recurrence_get_by_year_day ()
void | i_cal_recurrence_set_by_year_day ()
GArray * | i_cal_recurrence_get_by_week_no_array ()
void | i_cal_recurrence_set_by_week_no_array ()
gshort | i_cal_recurrence_get_by_week_no ()
void | i_cal_recurrence_set_by_week_no ()
GArray * | i_cal_recurrence_get_by_month_array ()
void | i_cal_recurrence_set_by_month_array ()
gshort | i_cal_recurrence_get_by_month ()
void | i_cal_recurrence_set_by_month ()
GArray * | i_cal_recurrence_get_by_set_pos_array ()
void | i_cal_recurrence_set_by_set_pos_array ()
gshort | i_cal_recurrence_get_by_set_pos ()
void | i_cal_recurrence_set_by_set_pos ()

## Types and Values

| ICalRecurrence
struct | ICalRecurrenceClass
enum | ICalRecurrenceFrequency
enum | ICalRecurrenceWeekday
enum | ICalRecurrenceSkip
enum | ICalRecurrenceArrayMaxValues
enum | ICalRecurrenceArraySizes

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalRecurrence

## Description

## Functions

### i_cal_recurrence_rscale_is_supported ()

    gboolean
    i_cal_recurrence_rscale_is_supported (void);

Checks whether rscale is supported.

#### Returns

Whether rscale is supported

Since: 2.0

### i_cal_recurrence_rscale_supported_calendars ()

    ICalArray *
    i_cal_recurrence_rscale_supported_calendars
                                   (void);

Gets an array of calendars supporting rscale (currently always return NULL).

#### Returns

Array of calendars. Currently always NULL.

[transfer full]

Since: 2.0

### i_cal_recurrence_new ()

    ICalRecurrence *
    i_cal_recurrence_new (void);

Creates a new ICalRecurrence.

#### Returns

The newly created ICalRecurrence.

[transfer full]

Since: 1.0

### i_cal_recurrence_clear ()

    void
    i_cal_recurrence_clear (ICalRecurrence *r);

Resets an ICalRecurrence.

#### Parameters

r | The ICalRecurrence to be reset |

Since: 1.0

### i_cal_recurrence_day_day_of_week ()

    ICalRecurrenceWeekday
    i_cal_recurrence_day_day_of_week (gshort day);

Decodes a day to a weekday in a week.

#### Parameters

day | The encoded day which represents the day of the week and Nth day of the week |

#### Returns

The decoded weekday with Monday to be 1.

Since: 1.0

### i_cal_recurrence_day_position ()

    gint
    i_cal_recurrence_day_position (gshort day);

Decodes a day to a position of the weekday.

#### Parameters

day | The encoded day which represents the day of the week and Nth day of the week |

#### Returns

The decoded day of the week. 0 == any of day of week. 1 == first, 2 = second, -2 == second to last, etc

Since: 1.0

### i_cal_recurrence_month_is_leap ()

    gboolean
    i_cal_recurrence_month_is_leap (gshort month);

Decodes a month and check whether it is a leap month.

#### Parameters

month | The month to be decoded |

#### Returns

Whether this month is a leap month.

Since: 2.0

### i_cal_recurrence_month_month ()

    gint
    i_cal_recurrence_month_month (gshort month);

#### Parameters

month | The month to be decoded |

#### Returns

The actual month number regardless of the leap flag.

Since: 2.0

### i_cal_recurrence_new_from_string ()

    ICalRecurrence *
    i_cal_recurrence_new_from_string (const gchar *str);

Converts a string to a ICalRecurrence.

#### Parameters

str | The string representation of the ICalRecurrence |

#### Returns

The ICalRecurrence converted from `str` .

[transfer full]

Since: 1.0

### i_cal_recurrence_to_string ()

    gchar *
    i_cal_recurrence_to_string (ICalRecurrence *recur);

Converts a ICalRecurrence to a string.

#### Parameters

recur | The ICalRecurrence to be converted |

#### Returns

The string representation of `recur` .

[transfer full]

Since: 1.0

### i_cal_recurrence_get_until ()

    ICalTime *
    i_cal_recurrence_get_until (ICalRecurrence *recur);

Gets the until from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The until of ICalRecurrence.

[transfer full]

Since: 1.0

### i_cal_recurrence_set_until ()

    void
    i_cal_recurrence_set_until (ICalRecurrence *recur,
                                ICalTime *until);

Sets the until from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |
until | The until of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_freq ()

    ICalRecurrenceFrequency
    i_cal_recurrence_get_freq (ICalRecurrence *recur);

Gets the freq from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The freq of ICalRecurrence.

Since: 1.0

### i_cal_recurrence_set_freq ()

    void
    i_cal_recurrence_set_freq (ICalRecurrence *recur,
                               ICalRecurrenceFrequency freq);

Sets the freq from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |
freq | The freq of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_count ()

    gint
    i_cal_recurrence_get_count (ICalRecurrence *recur);

Gets the count from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The count of ICalRecurrence.

Since: 1.0

### i_cal_recurrence_set_count ()

    void
    i_cal_recurrence_set_count (ICalRecurrence *recur,
                                gint count);

Sets the count from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |
count | The count of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_interval ()

    gshort
    i_cal_recurrence_get_interval (ICalRecurrence *recur);

Gets the interval from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The interval of ICalRecurrence.

Since: 1.0

### i_cal_recurrence_set_interval ()

    void
    i_cal_recurrence_set_interval (ICalRecurrence *recur,
                                   gshort interval);

Sets the interval from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |
interval | The interval of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_week_start ()

    ICalRecurrenceWeekday
    i_cal_recurrence_get_week_start (ICalRecurrence *recur);

Gets the week_start from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The week_start of ICalRecurrence.

Since: 1.0

### i_cal_recurrence_set_week_start ()

    void
    i_cal_recurrence_set_week_start (ICalRecurrence *recur,
                                     ICalRecurrenceWeekday week_start);

Sets the week_start from ICalRecurrence.

#### Parameters

recur | The ICalRecurrence |
week_start | The week_start of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_second_array ()

    GArray *
    i_cal_recurrence_get_by_second_array (ICalRecurrence *recur);

Gets the by_second array from ICalRecurrence. The array size if I_CAL_BY_SECOND_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_second of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_second_array ()

    void
    i_cal_recurrence_set_by_second_array (ICalRecurrence *recur,
                                          GArray *values);

Sets the by_second array in `recur` at once. The array size can be less than I_CAL_BY_SECOND_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_second ()

    gshort
    i_cal_recurrence_get_by_second (ICalRecurrence *recur,
                                    guint index);

Gets the by_second value at index `index` . The index should be less than `I_CAL_BY_SECOND_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_second of ICalRecurrence, less than `I_CAL_BY_SECOND_SIZE` |

#### Returns

The by_second of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_second ()

    void
    i_cal_recurrence_set_by_second (ICalRecurrence *recur,
                                    guint index,
                                    gshort value);

Sets the by_second array from ICalRecurrence at the given index. The array size is I_CAL_BY_SECOND_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_second of ICalRecurrence, less than I_CAL_BY_SECOND_SIZE |
value | The value to be set into by_second of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_minute_array ()

    GArray *
    i_cal_recurrence_get_by_minute_array (ICalRecurrence *recur);

Gets the by_minute array from ICalRecurrence. The array size is I_CAL_BY_MINUTE_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_minute of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_minute_array ()

    void
    i_cal_recurrence_set_by_minute_array (ICalRecurrence *recur,
                                          GArray *values);

Sets the by_minute array in `recur` at once. The array size can be less than I_CAL_BY_MINUTE_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_minute ()

    gshort
    i_cal_recurrence_get_by_minute (ICalRecurrence *recur,
                                    guint index);

Gets the by_minute value at index `index` . The index should be less than `I_CAL_BY_MINUTE_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_minute of ICalRecurrence, less than `I_CAL_BY_MINUTE_SIZE` |

#### Returns

The by_minute of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_minute ()

    void
    i_cal_recurrence_set_by_minute (ICalRecurrence *recur,
                                    guint index,
                                    gshort value);

Sets the by_minute array from ICalRecurrence at the given index. The array size is I_CAL_BY_MINUTE_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_minute of ICalRecurrence |
value | The value to be set into by_minute of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_hour_array ()

    GArray *
    i_cal_recurrence_get_by_hour_array (ICalRecurrence *recur);

Gets the by_hour array from ICalRecurrence. The array size is I_CAL_BY_HOUR_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_hour of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_hour_array ()

    void
    i_cal_recurrence_set_by_hour_array (ICalRecurrence *recur,
                                        GArray *values);

Sets the by_hour array in `recur` at once. The array size can be less than I_CAL_BY_HOUR_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_hour ()

    gshort
    i_cal_recurrence_get_by_hour (ICalRecurrence *recur,
                                  guint index);

Gets the by_hour value at index `index` . The index should be less than `I_CAL_BY_HOUR_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_hour of ICalRecurrence, less than `I_CAL_BY_HOUR_SIZE` |

#### Returns

The by_hour of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_hour ()

    void
    i_cal_recurrence_set_by_hour (ICalRecurrence *recur,
                                  guint index,
                                  gshort value);

Sets the by_hour array from ICalRecurrence at the given index. The array size is I_CAL_BY_HOUR_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_hour of ICalRecurrence |
value | The value to be set into by_hour of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_day_array ()

    GArray *
    i_cal_recurrence_get_by_day_array (ICalRecurrence *recur);

Gets the by_day array from ICalRecurrence. The array size is I_CAL_BY_DAY_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_day of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_day_array ()

    void
    i_cal_recurrence_set_by_day_array (ICalRecurrence *recur,
                                       GArray *values);

Sets the by_day array in `recur` at once. The array size can be less than I_CAL_BY_DAY_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_day ()

    gshort
    i_cal_recurrence_get_by_day (ICalRecurrence *recur,
                                 guint index);

Gets the by_day value at index `index` . The index should be less than `I_CAL_BY_DAY_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_day of ICalRecurrence, less than `I_CAL_BY_DAY_SIZE` |

#### Returns

The by_day of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_day ()

    void
    i_cal_recurrence_set_by_day (ICalRecurrence *recur,
                                 guint index,
                                 gshort value);

Sets the by_day array from ICalRecurrence at the given index. The array size if I_CAL_BY_DAY_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_day of ICalRecurrence |
value | The value to be set into by_day of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_month_day_array ()

    GArray *
    i_cal_recurrence_get_by_month_day_array
                                   (ICalRecurrence *recur);

Gets the by_month_day array from ICalRecurrence. The array size is I_CAL_BY_MONTHDAY_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_month_day of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_month_day_array ()

    void
    i_cal_recurrence_set_by_month_day_array
                                   (ICalRecurrence *recur,
                                    GArray *values);

Sets the by_month_day array in `recur` at once. The array size can be less than I_CAL_BY_MONTHDAY_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_month_day ()

    gshort
    i_cal_recurrence_get_by_month_day (ICalRecurrence *recur,
                                       guint index);

Gets the by_month_day value at index `index` . The index should be less than `I_CAL_BY_MONTHDAY_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_month_day of ICalRecurrence, less than `I_CAL_BY_MONTHDAY_SIZE` |

#### Returns

The by_month_day of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_month_day ()

    void
    i_cal_recurrence_set_by_month_day (ICalRecurrence *recur,
                                       guint index,
                                       gshort value);

Sets the by_month_day array from ICalRecurrence at the given index. The array size if I_CAL_BY_MONTHDAY_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_month_day of ICalRecurrence |
value | The value to be set into by_month_day of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_year_day_array ()

    GArray *
    i_cal_recurrence_get_by_year_day_array
                                   (ICalRecurrence *recur);

Gets the by_year_day array from ICalRecurrence. The array size is I_CAL_BY_YEARDAY_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_year_day of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_year_day_array ()

    void
    i_cal_recurrence_set_by_year_day_array
                                   (ICalRecurrence *recur,
                                    GArray *values);

Sets the by_year_day array in `recur` at once. The array size can be less than I_CAL_BY_YEARDAY_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_year_day ()

    gshort
    i_cal_recurrence_get_by_year_day (ICalRecurrence *recur,
                                      guint index);

Gets the by_year_day value at index `index` . The index should be less than `I_CAL_BY_YEARDAY_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_year_day of ICalRecurrence, less than `I_CAL_BY_YEARDAY_SIZE` |

#### Returns

The by_year_day of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_year_day ()

    void
    i_cal_recurrence_set_by_year_day (ICalRecurrence *recur,
                                      guint index,
                                      gshort value);

Sets the by_year_day array from ICalRecurrence at the given index. The array size if I_CAL_BY_YEARDAY_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_year_day of ICalRecurrence |
value | The value to be set into by_year_day of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_week_no_array ()

    GArray *
    i_cal_recurrence_get_by_week_no_array (ICalRecurrence *recur);

Gets the by_week_no array from ICalRecurrence. The array size is I_CAL_BY_WEEKNO_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_week_no of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_week_no_array ()

    void
    i_cal_recurrence_set_by_week_no_array (ICalRecurrence *recur,
                                           GArray *values);

Sets the by_week_no array in `recur` at once. The array size can be less than I_CAL_BY_WEEKNO_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_week_no ()

    gshort
    i_cal_recurrence_get_by_week_no (ICalRecurrence *recur,
                                     guint index);

Gets the by_week_no value at index `index` . The index should be less than `I_CAL_BY_WEEKNO_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_week_no of ICalRecurrence, less than `I_CAL_BY_WEEKNO_SIZE` |

#### Returns

The by_week_no of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_week_no ()

    void
    i_cal_recurrence_set_by_week_no (ICalRecurrence *recur,
                                     guint index,
                                     gshort value);

Sets the by_week_no array from ICalRecurrence at the given index. The array size is I_CAL_BY_WEEKNO_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_week_no of ICalRecurrence |
value | The value to be set into by_week_no of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_month_array ()

    GArray *
    i_cal_recurrence_get_by_month_array (ICalRecurrence *recur);

Gets the by_month array from ICalRecurrence. The array size is I_CAL_BY_MONTH_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_month of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_month_array ()

    void
    i_cal_recurrence_set_by_month_array (ICalRecurrence *recur,
                                         GArray *values);

Sets the by_month array in `recur` at once. The array size can be less than I_CAL_BY_MONTH_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_month ()

    gshort
    i_cal_recurrence_get_by_month (ICalRecurrence *recur,
                                   guint index);

Gets the by_month value at index `index` . The index should be less than `I_CAL_BY_MONTH_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_month of ICalRecurrence, less than `I_CAL_BY_MONTH_SIZE` |

#### Returns

The by_month of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_month ()

    void
    i_cal_recurrence_set_by_month (ICalRecurrence *recur,
                                   guint index,
                                   gshort value);

Sets the by_month array from ICalRecurrence at the given index. The array size is I_CAL_BY_MONTH_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_month of ICalRecurrence |
value | The value to be set into by_month of ICalRecurrence |

Since: 1.0

### i_cal_recurrence_get_by_set_pos_array ()

    GArray *
    i_cal_recurrence_get_by_set_pos_array (ICalRecurrence *recur);

Gets the by_set_pos array from ICalRecurrence. The array size is I_CAL_BY_SETPOS_SIZE.

#### Parameters

recur | The ICalRecurrence |

#### Returns

The by_set_pos of ICalRecurrence.

[transfer full][element-type gshort]

Since: 1.0

### i_cal_recurrence_set_by_set_pos_array ()

    void
    i_cal_recurrence_set_by_set_pos_array (ICalRecurrence *recur,
                                           GArray *values);

Sets the by_set_pos array in `recur` at once. The array size can be less than I_CAL_BY_SETPOS_SIZE. Shorter arrays are terminated with I_CAL_RECURRENCE_ARRAY_MAX value, longer arrays are truncated.

#### Parameters

recur | The ICalRecurrence |
values | The array of values. | [element-type gshort]

Since: 1.0

### i_cal_recurrence_get_by_set_pos ()

    gshort
    i_cal_recurrence_get_by_set_pos (ICalRecurrence *recur,
                                     guint index);

Gets the by_set_pos value at index `index` . The index should be less than `I_CAL_BY_SETPOS_SIZE`.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_set_pos of ICalRecurrence, less than `I_CAL_BY_SETPOS_SIZE` |

#### Returns

The by_week_no of ICalRecurrence at index `index` .

Since: 1.0

### i_cal_recurrence_set_by_set_pos ()

    void
    i_cal_recurrence_set_by_set_pos (ICalRecurrence *recur,
                                     guint index,
                                     gshort value);

Sets the by_set_pos array from ICalRecurrence at the given index. The array size is I_CAL_BY_SETPOS_SIZE.

#### Parameters

recur | The ICalRecurrence |
index | The index in by_set_pos of ICalRecurrence |
value | The value to be set into by_set_pos of ICalRecurrence |

Since: 1.0

## Types and Values

### ICalRecurrence

    typedef struct _ICalRecurrence ICalRecurrence;

This is the ICalRecurrence instance.

### struct ICalRecurrenceClass

    struct ICalRecurrenceClass {
    };

This is the ICalRecurrence class.

### enum ICalRecurrenceFrequency

#### Members

I_CAL_SECONDLY_RECURRENCE |  |
I_CAL_MINUTELY_RECURRENCE |  |
I_CAL_HOURLY_RECURRENCE |  |
I_CAL_DAILY_RECURRENCE |  |
I_CAL_WEEKLY_RECURRENCE |  |
I_CAL_MONTHLY_RECURRENCE |  |
I_CAL_YEARLY_RECURRENCE |  |
I_CAL_NO_RECURRENCE |  |

### enum ICalRecurrenceWeekday

#### Members

I_CAL_NO_WEEKDAY |  |
I_CAL_SUNDAY_WEEKDAY |  |
I_CAL_MONDAY_WEEKDAY |  |
I_CAL_TUESDAY_WEEKDAY |  |
I_CAL_WEDNESDAY_WEEKDAY |  |
I_CAL_THURSDAY_WEEKDAY |  |
I_CAL_FRIDAY_WEEKDAY |  |
I_CAL_SATURDAY_WEEKDAY |  |

### enum ICalRecurrenceSkip

#### Members

I_CAL_SKIP_BACKWARD |  |
I_CAL_SKIP_FORWARD |  |
I_CAL_SKIP_OMIT |  |
I_CAL_SKIP_UNDEFINED |  |

### enum ICalRecurrenceArrayMaxValues

#### Members

I_CAL_RECURRENCE_ARRAY_MAX |  |

### enum ICalRecurrenceArraySizes

#### Members

I_CAL_BY_SECOND_SIZE |  |
I_CAL_BY_MINUTE_SIZE |  |
I_CAL_BY_HOUR_SIZE |  |
I_CAL_BY_MONTH_SIZE |  |
I_CAL_BY_MONTHDAY_SIZE |  |
I_CAL_BY_WEEKNO_SIZE |  |
I_CAL_BY_YEARDAY_SIZE |  |
I_CAL_BY_SETPOS_SIZE |  |
I_CAL_BY_DAY_SIZE |  |